<?php

class Controller {

	public function __construct() {
		
		global $def;
		$this->set_url();
		$meta = $def['meta'];
		if (!isset($meta[$def['subj']])) exit(def_404());
		
		$def['id'] = (isset($_GET['id'])) ? intval($_GET['id']) : null;
		$def['view'] = ($def['id']) ? 'item' : 'table';
		
		new View($def['subj'], $def['id']);
	}
	
	private function set_url() {
		
		global $def;
		$url = $def['env']['uri'];
		$url = preg_split("/\?/", $url);
		$url = $url[0];
		$url = explode('/', $url);
		$url = array_pop($url);
		if (!$url) $url = $def['default_url'];
		
		$re = preg_quote($def['ext'], '/');
		$subj = preg_replace("/{$re}$/", '', $url);
		$def['file'] = $url;
		$def['subj'] = $subj;
	}
	
}