CREATE TABLE if not exists `msgs` (
  `id` int(11) NOT NULL auto_increment,
  `metka` tinyint(3) NOT NULL default '1',
  `name` varchar(30) NOT NULL default '',
  `email` varchar(100) default NULL,
  `msg` varchar(255) NOT NULL default '',
  `datrec` timestamp NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


CREATE TABLE if not exists `users` (
  `name` varchar(10) NOT NULL,
  `fullname` varchar(30) NOT NULL,
  `email` varchar(100) NOT NULL,
  `status` tinyint(3) NOT NULL,
  `time` timestamp NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

CREATE TABLE if not exists `people` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(30) NOT NULL,
  `year` varchar(25) NOT NULL,
  `email` varchar(100) NOT NULL,
  `descr` varchar(255) NOT NULL,
  `rel` varchar(25) NOT NULL,
  `time` timestamp NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

CREATE TABLE if not exists `cats` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(30) NOT NULL,
  `year` varchar(25) NOT NULL,
  `descr` varchar(255) NOT NULL,
  `time` timestamp NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

CREATE TABLE if not exists `jobs` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(30) NOT NULL,
  `boss` varchar(30) NOT NULL,
  `agent` varchar(30) NOT NULL,
  `time1` DATETIME NOT NULL,
  `time2` DATETIME NOT NULL,
  `descr` varchar(255) NOT NULL,
  `time` timestamp NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


insert ignore into `people` (`name`, `year`, `descr`, `email`, `rel`) values 
('', '1985', ' ', 'alex@mail.com', 'friends'),
('', '1987', '  ', 'yury@gmail.com', 'friends'),
('', '1989', '  :    2-3  .', 'alexey@yahoo.com', 'friends'),
('', '1909', 'Somebody', 'joe@yahoo.com', 'enemies'),
('', '1919', '', 'jessie@yahoo.com', 'enemies')
;

insert ignore into `cats` (`name`, `year`, `descr`) values 
('', '1993', '   ');
